Package com.ads.api.beans.rsm

# Class Permission

java.lang.Object
com.ads.api.beans.rsm.Permission

public class Permission extends Object
This class provides some beans control methods related to Permission, name, its Description, displayOrder etc...

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Permission()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Permission>`
  `getChildPermissions()`
  Returns list of child permission objects of the permission.
  `String`
  `getChineseDescription()`
  Returns the permission description in Chinese language.
  `String`
  `getDescription()`
  Returns the description of the permission.
  `float`
  `getDisplayOrder()`
  Returns displayOrder of the permission.
  `String`
  `getEnglishDescription()`
  Returns the permission description in English language.
  `String`
  `getFrenchDescription()`
  Returns the permission description in French language.
  `String`
  `getGermanDescription()`
  Returns the permission description in German language.
  `String`
  `getHebrewDescription()`
  Returns the permission description in Hebrew language.
  `String`
  `getId()`
  Returns the permission id.
  `String`
  `getName()`
  Returns the name of the permission.
  `String`
  `getParentId()`
  Returns the parentId of the permission.
  `Permission`
  `getParentPermission()`
  Returns parentPermission object of the permission.
  `String`
  `getPortugueseDescription()`
  Returns the permission description in Portuguese language.
  `String`
  `getRussiaDescription()`
  Returns the permission description in Russian language.
  `String`
  `getSpanishDescription()`
  Returns the permission description in Spanish language.
  `boolean`
  `isEnabled()`
  Returns true if the permission is enabled and false if permission is disabled.
  `boolean`
  `isSensitive()`
  Returns true/false if the permission has sensitive permission.
  `void`
  `setChildPermissions(List<Permission> childPermissions)`
  Method sets list of child permission objects to the Permission object as specified.
  `void`
  `setChineseDescription(String chineseDescription)`
  Method sets the description to the Permission object as specified in Chinese language.
  `void`
  `setDescription(String description)`
  Method sets the description to the Permission object as specified.
  `void`
  `setDisplayOrder(float displayOrder)`
  Method sets the displayOrder to the Permission object as specified.
  `void`
  `setEnabled(boolean enabled)`
  Method sets the value as true/false to enable or disable the permission.
  `void`
  `setEnglishDescription(String englishDescription)`
  Method sets the description to the Permission object as specified in English language.
  `void`
  `setFrenchDescription(String frenchDescription)`
  Method sets the description to the Permission object as specified in French language.
  `void`
  `setGermanDescription(String germanDescription)`
  Method sets the description to the Permission object as specified in German language.
  `void`
  `setHebrewDescription(String hebrewDescription)`
  Method sets the description to the Permission object as specified in Hebrew language.
  `void`
  `setId(String id)`
  Method sets the id to the Permission object as specified.
  `void`
  `setName(String name)`
  Method sets the permission name to the Permission object as specified.
  `void`
  `setParentId(String parentId)`
  Method sets the parentId to the Permission object as specified.
  `void`
  `setParentPermission(Permission parentPermission)`
  Method sets parentPermission object to the Permission object as specified.
  `void`
  `setPortugueseDescription(String portugueseDescription)`
  Method sets the description to the Permission object as specified in Portuguese language.
  `void`
  `setRussiaDescription(String russiaDescription)`
  Method sets the description to the Permission object as specified in Russian language.
  `void`
  `setSensitive(boolean sensitive)`
  Method sets sensitive permission to the Permission object as specified.
  `void`
  `setSpanishDescription(String spanishDescription)`
  Method sets the description to the Permission object as specified in Spanish language.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Permission

    public Permission()

- ## Method Details

  - ### getId

    public String getId()
    Returns the permission id.
    Returns:
      id String

  - ### setId

    public void setId(String id)
    Method sets the id to the Permission object as specified.
    Parameters:
      `id` - String

  - ### getParentId

    public String getParentId()
    Returns the parentId of the permission.
    Returns:
      parentId String

  - ### setParentId

    public void setParentId(String parentId)
    Method sets the parentId to the Permission object as specified.
    Parameters:
      `parentId` - String

  - ### getDescription

    public String getDescription()
    Returns the description of the permission.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Method sets the description to the Permission object as specified.
    Parameters:
      `description` - String

  - ### getEnglishDescription

    public String getEnglishDescription()
    Returns the permission description in English language.
    Returns:
      englishDescription String

  - ### setEnglishDescription

    public void setEnglishDescription(String englishDescription)
    Method sets the description to the Permission object as specified in English language.
    Parameters:
      `englishDescription` - String

  - ### getChineseDescription

    public String getChineseDescription()
    Returns the permission description in Chinese language.
    Returns:
      chineseDescription String

  - ### setChineseDescription

    public void setChineseDescription(String chineseDescription)
    Method sets the description to the Permission object as specified in Chinese language.
    Parameters:
      `chineseDescription` - String

  - ### getFrenchDescription

    public String getFrenchDescription()
    Returns the permission description in French language.
    Returns:
      frenchDescription String

  - ### setFrenchDescription

    public void setFrenchDescription(String frenchDescription)
    Method sets the description to the Permission object as specified in French language.
    Parameters:
      `frenchDescription` - String

  - ### getGermanDescription

    public String getGermanDescription()
    Returns the permission description in German language.
    Returns:
      germanDescription String

  - ### setGermanDescription

    public void setGermanDescription(String germanDescription)
    Method sets the description to the Permission object as specified in German language.
    Parameters:
      `germanDescription` - String

  - ### getHebrewDescription

    public String getHebrewDescription()
    Returns the permission description in Hebrew language.
    Returns:
      hebrewDescription String

  - ### setHebrewDescription

    public void setHebrewDescription(String hebrewDescription)
    Method sets the description to the Permission object as specified in Hebrew language.
    Parameters:
      `hebrewDescription` - String

  - ### getPortugueseDescription

    public String getPortugueseDescription()
    Returns the permission description in Portuguese language.
    Returns:
      portugueseDescription String

  - ### setPortugueseDescription

    public void setPortugueseDescription(String portugueseDescription)
    Method sets the description to the Permission object as specified in Portuguese language.
    Parameters:
      `portugueseDescription` - String

  - ### getRussiaDescription

    public String getRussiaDescription()
    Returns the permission description in Russian language.
    Returns:
      russiaDescription String

  - ### setRussiaDescription

    public void setRussiaDescription(String russiaDescription)
    Method sets the description to the Permission object as specified in Russian language.
    Parameters:
      `russiaDescription` - String

  - ### getSpanishDescription

    public String getSpanishDescription()
    Returns the permission description in Spanish language.
    Returns:
      spanishDescription String

  - ### setSpanishDescription

    public void setSpanishDescription(String spanishDescription)
    Method sets the description to the Permission object as specified in Spanish language.
    Parameters:
      `spanishDescription` - String

  - ### getName

    public String getName()
    Returns the name of the permission.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Method sets the permission name to the Permission object as specified.
    Parameters:
      `name` - String

  - ### isEnabled

    public boolean isEnabled()
    Returns true if the permission is enabled and false if permission is disabled.
    Returns:
      enabled boolean

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Method sets the value as true/false to enable or disable the permission.
    Parameters:
      `enabled` - boolean

  - ### getDisplayOrder

    public float getDisplayOrder()
    Returns displayOrder of the permission.
    Returns:
      displayOrder float

  - ### setDisplayOrder

    public void setDisplayOrder(float displayOrder)
    Method sets the displayOrder to the Permission object as specified.
    Parameters:
      `displayOrder` - float

  - ### getParentPermission

    public Permission getParentPermission()
    Returns parentPermission object of the permission.
    Returns:
      parentPermission Permission

  - ### setParentPermission

    public void setParentPermission(Permission parentPermission)
    Method sets parentPermission object to the Permission object as specified.
    Parameters:
      `parentPermission` - Permission

  - ### getChildPermissions

    public List<Permission> getChildPermissions()
    Returns list of child permission objects of the permission.
    Returns:
      childPermissions List

  - ### setChildPermissions

    public void setChildPermissions(List<Permission> childPermissions)
    Method sets list of child permission objects to the Permission object as specified.
    Parameters:
      `childPermissions` - List

  - ### isSensitive

    public boolean isSensitive()
    Returns true/false if the permission has sensitive permission.
    Returns:
      sensitive boolean

  - ### setSensitive

    public void setSensitive(boolean sensitive)
    Method sets sensitive permission to the Permission object as specified.
    Parameters:
      `sensitive` -